<form fxLayout="column" fxFlexAlign="space-around">
    <div>
        <h3>{{titleModal}}</h3>
    </div>
    <div fxLayout="row wrap" fxFlexAlign="space-around" class="form-row">
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
            <mat-form-field dividerColor="primary">
                <input type="text" placeholder="País" aria-label="pais" matInput 
                    [formControl]="validateFilters.get('country')" [matAutocomplete]="autoCountry">
                <mat-autocomplete autoActiveFirstOption #autoCountry="matAutocomplete">
                    <mat-option *ngFor="let country of countriesFilteredOptions | async" [value]="country">
                        {{ country.name }}
                    </mat-option>
                </mat-autocomplete>
            </mat-form-field>
        </div>
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
            <mat-form-field dividerColor="primary">
                <input type="text" placeholder="Día Festivo" aria-label="festivo" matInput
                    [formControl]="validateFilters.get('holyday')" [matAutocomplete]="auto">
                <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                    <mat-option *ngFor="let holyday of holydaysFilteredOptions | async" [value]="holyday">
                        {{holyday.dateH | date: 'dd/MM/yyyy' }}
                    </mat-option>
                </mat-autocomplete>
            </mat-form-field>
        </div>
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col" *ngIf="statusActivated">
            <mat-form-field>
                <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                    <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                        {{option.label}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

        </div>
    </div>
    <div align="end">
        <button mat-raised-button color="primary" (click)="save();" type="submit" class="space-buttom">Guardar</button>
        <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
    </div>
</form>